# Gitea

## Usage

### Generera SSH-nycklar

<code>ssh-keygen -t RSA -b 4096 -C "user@domain.se"</code>

## Installation

### Confit cheat sheet

https://docs.gitea.io/en-us/config-cheat-sheet/#server-server

### Aktivera inbyggd SSH-server

<pre><code>[server]
START_SSH_SERVER = true
SSH_LISTEN_PORT = %(SSH_PORT)s
</code></pre>

### Redirect av HTTPS via Apache

<pre><code>[server]
ROOT_URL         = https://git.myspace.nu/
</code></pre>

### Sätt repositories default till private

<pre><code>[repository]
DEFAULT_PRIVATE = private
</code></pre>

### Deaktivera signup & openid

<pre><code>[service]
DISABLE_REGISTRATION              = true

[openid]
ENABLE_OPENID_SIGNIN = false
ENABLE_OPENID_SIGNUP = false
</code></pre>

### Kör som Windows service

<pre><code>[server]
# echo %COMPUTERNAME% => USER-PC => RUN_USER = USER-PC$
RUN_USER = COMPUTERNAME$
</code></pre>

<code>sc.exe create gitea start= auto binPath= "\"E:\Gitea\gitea.exe\" web --config \"E:\Gitea\custom\conf\app.ini\""</code>

### Avinstallera Windows service

<code>sc.exe delete gitea</code>

### Redigera templates

https://github.com/go-gitea/gitea/tree/main/templates